<![CDATA[ Upgrade from 2.0.8 to the latest version available - MODX Community Forums]]> https://forums.modx.com/thread/?thread=103736 <![CDATA[Upgrade from 2.0.8 to the latest version available]]> https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-557997 Since a lot of changes are made in 2.1 and 2.2, I presume it'll be the best to upgrade first to 2.1, then to 2.2 and after that, it should be safe for further upgrades, so I was doing a lot of upgrades from 2.2/2.3 to 2.5/2.6 without any issues.

I'm using UpgradeMODX extra and it was working great for the upgrades I had before (from 2.2/2.3 to 2.5/2.6), but since I'm doing 2.0.8 for the first time I want to know is it possible to use just this extra or it should be done manually?

]]>
srdjanpejic Apr 13, 2018, 10:12 AM https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-557997
<![CDATA[Re: Upgrade from 2.0.8 to the latest version available]]> https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-558249 ]]> srdjanpejic Apr 26, 2018, 07:40 PM https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-558249 <![CDATA[Re: Upgrade from 2.0.8 to the latest version available]]> https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-558074
It's not a bad idea to disable all plugins (right-click on them in the tree to do it, then manually clear the cache files -- just once, before you start upgrading). You're unlikely to be locked out of the Manager by a snippet, though a number of them may need to be upgraded.]]>
BobRay Apr 17, 2018, 10:10 PM https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-558074
<![CDATA[Re: Upgrade from 2.0.8 to the latest version available]]> https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-558060
Yes, UpgradeMODX extra is making it a lot, a lot easier, thank you for that extra smiley

I saw on this page that it's requiring Modx 2.0.x, so that's why I wanted to check first if it's gonna be safe to run an upgrade with this extra only.

One more thing, since Modx 2.1 and 2.2 have a lot of changes (deprecated functions, structure changes) I assume that I should check extras being used on the site for Modx versions they're supporting. Should I disabled all extras before upgrades and turning them one by one or I can disable them later on (I'm afraid of being "trapped" if some of the extras will cause manager internal server errors)?]]>
srdjanpejic Apr 17, 2018, 07:17 AM https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-558060
<![CDATA[Re: Upgrade from 2.0.8 to the latest version available]]> https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-558003
At some point, you can start using the UpgradeMODX extra (as soon as MODX supports dashboard widgets), which will make the upgrades a lot easier. I think it will work in 2.0.x but I'm not sure.]]>
BobRay Apr 13, 2018, 05:15 PM https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-558003
<![CDATA[Re: Upgrade from 2.0.8 to the latest version available]]> https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-557998
But either way yes stick with the incremental upgrades as you were correctly doing already.]]>
lkfranklin Apr 13, 2018, 11:32 AM https://forums.modx.com/thread/103736/upgrade-from-2-0-8-to-the-latest-version-available#dis-post-557998